> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand



## OpenAPI

````yaml /openapi-public.json get /v1/brand/{collection_id}
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/brand/{collection_id}:
    get:
      tags:
        - public
        - brand
      summary: Get Brand
      operationId: getBrand
      parameters:
        - in: path
          name: collection_id
          required: true
          schema:
            title: Collection Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_BrandResult_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    APIResponse_BrandResult_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/BrandResult'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[BrandResult]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    BrandResult:
      properties:
        facts:
          additionalProperties:
            items:
              $ref: '#/components/schemas/BrandObservation'
            type: array
          title: Facts
          type: object
        sources:
          items:
            type: string
          title: Sources
          type: array
        style_guide:
          anyOf:
            - additionalProperties:
                items:
                  $ref: '#/components/schemas/BrandObservation'
                type: array
              type: object
            - type: 'null'
          title: Style Guide
        url:
          title: Url
          type: string
        warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning
      required:
        - url
        - facts
        - style_guide
        - sources
        - warning
      title: BrandResult
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
    BrandObservation:
      properties:
        sources:
          items:
            type: string
          title: Sources
          type: array
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
          title: Value
      required:
        - value
        - sources
      title: BrandObservation
      type: object
  securitySchemes:
    HTTPBearer:
      description: 'Send an active organization API key in the Authorization: Bearer header.'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.